<template>
	<el-dialog
		title="编辑联系信息"
		:close-on-click-modal="false"
		:close-on-press-escape="false"
		:visible.sync="filter_conf.centerDialogVisible"
		width="50%"
		center
	>
		<el-row>
			<el-form ref="form" :model="form" label-width="6.25rem">
				<el-form-item class="marginBottom10" label="*联系手机">
					<el-row>
						<el-col :span="16">
							<el-input v-model="form.cellphone" placeholder="请输入手机号码"></el-input>
						</el-col>
						<el-col :span="7" :offset="1">
							<el-button
								style="width:100%;"
								type="primary"
								:disabled="sms_time === 0 ? false : true"
								@click="sendSms"
							>{{sms_time ? sms_time + '秒' : '发送验证码'}}</el-button>
						</el-col>
					</el-row>
				</el-form-item>
				<el-form-item class="marginBottom10" label="">
					<span class="f12 c9696A0" style="line-height:1.2 !important;">该联系手机用于未来交易验证，默认为法人或经办人手机号，请谨慎填写</span>
				</el-form-item>
				<el-form-item class="marginBottom10" label="*验证码">
					<el-input v-model="form.verifyCode" placeholder="请输入验证码"></el-input>
				</el-form-item>
				<el-form-item class="marginBottom10" label="*联系邮箱">
					<el-input v-model="form.email" placeholder="请输入邮箱地址"></el-input>
				</el-form-item>
			</el-form>
		</el-row>
		<span slot="footer" class="dialog-footer">
			<el-button type="primary" @click="postInfo">提 交</el-button>
		</span>
	</el-dialog>
</template>

<script>
export default {
	mixins: [$mixin],
	props: ['conf'],
	data() {
		return {
			form: {
				cellphone: '',
				verifyCode: '',
				email: ''
			},
			sms_time: 0
		}
	},
	computed: {
		filter_conf() {
			return this.conf || {}
		}
	},
	watch: {
		sms_time(val) {
			if (val) {
				setTimeout(() => {
					this.sms_time = val - 1
				}, 1000)
			}
		}
	},
	methods: {
		postInfo() {
			let condition = Object.keys(this.form).some(item => {
				return !this.form[item]
			})
			if (condition) {
				this.alert('请完善输入信息')
				return false
			}
			this.$http
				.post({
					url: 'company/updateContact',
					params: this.form
				})
				.then(
					data => {
						this.alert('修改成功', () => {
							this.$set(this.filter_conf, 'centerDialogVisible', false)
							$event_bus.$emit('refreshInfo')
						})
					},
					msg => {
						this.alert(msg)
					}
				)
		},
		sendSms() {
			if (!this.form.cellphone) {
				this.alert('手机号码不能为空')
				return false
			}
			this.$http
				.post({
					url: 'company/getVerifyCode',
					params: {
						cellphone: this.form.cellphone
					}
				})
				.then(
					data => {
						this.sms_time = 60
					},
					msg => {
						this.alert(msg)
					}
				)
		}
	},
	mounted() {}
}
</script>

<style lang="less">
.el-form-item__content {
	line-height: 1.2;
}
</style>
